From 0eba5e1c144e8d4bff76db0a360d8465e42c4c53 Mon Sep 17 00:00:00 2001
From: "Bradford D. Boyle" <bradford.d.boyle@gmail.com>
Date: Sun, 4 Jun 2023 19:27:17 -0700
Subject: [PATCH] Add MobilityDB

---
 jenkins/packages           | 1 +
 jenkins/packages.betatests | 1 +
 jenkins/pgapt-jobs.yaml    | 9 +++++++++
 3 files changed, 11 insertions(+)

diff --git a/jenkins/packages b/jenkins/packages
index 7170113..4afded4 100644
--- a/jenkins/packages
+++ b/jenkins/packages
@@ -23,6 +23,7 @@ libstringprep-java
 libtap-parser-sourcehandler-pgtap-perl
 londiste
 mimeo
+mobilitydb
 omnidb
 omnidb-plpgsql-debugger
 ora2pg
diff --git a/jenkins/packages.betatests b/jenkins/packages.betatests
index d814659..f20f1a6 100644
--- a/jenkins/packages.betatests
+++ b/jenkins/packages.betatests
@@ -23,6 +23,7 @@ libstringprep-java
 libtap-parser-sourcehandler-pgtap-perl
 londiste
 mimeo
+mobilitydb
 omnidb
 omnidb-plpgsql-debugger
 ora2pg
diff --git a/jenkins/pgapt-jobs.yaml b/jenkins/pgapt-jobs.yaml
index bab0bf9..fb17edf 100644
--- a/jenkins/pgapt-jobs.yaml
+++ b/jenkins/pgapt-jobs.yaml
@@ -1149,6 +1149,15 @@
         jobs:
                 - git-packages-with-beta
 
+- project:
+        name: mobilitydb
+        git-url: https://salsa.debian.org/postgresql/mobilitydb.git
+        git-branch: main
+        upstream-url: https://github.com/MobilityDB/MobilityDB.git
+        upstream-branch: develop
+        jobs:
+                - git+upstream-snapshot
+
 - project:
         name: omnidb
         git-url: https://salsa.debian.org/postgresql/omnidb.git
-- 
2.41.0

